// ProgDemoDoc.h : Schnittstelle der Klasse CProgDemoDoc
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_PROGDEMODOC_H__06530DAC_FF51_47C4_A41A_5F0F896B54AB__INCLUDED_)
#define AFX_PROGDEMODOC_H__06530DAC_FF51_47C4_A41A_5F0F896B54AB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CProgDemoDoc : public CDocument
{
protected: // Nur aus Serialisierung erzeugen
	CProgDemoDoc();
	DECLARE_DYNCREATE(CProgDemoDoc)

// Attribute
public:

// Operationen
public:

// Überladungen
	// Vom Klassenassistenten generierte Überladungen virtueller Funktionen
	//{{AFX_VIRTUAL(CProgDemoDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	//}}AFX_VIRTUAL

// Implementierung
public:
	virtual ~CProgDemoDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generierte Message-Map-Funktionen
protected:
	//{{AFX_MSG(CProgDemoDoc)
		// HINWEIS - An dieser Stelle werden Member-Funktionen vom Klassen-Assistenten eingefügt und entfernt.
		//    Innerhalb dieser generierten Quelltextabschnitte NICHTS VERÄNDERN!
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fügt unmittelbar vor der vorhergehenden Zeile zusätzliche Deklarationen ein.

#endif // !defined(AFX_PROGDEMODOC_H__06530DAC_FF51_47C4_A41A_5F0F896B54AB__INCLUDED_)
